{% assign product = line_item.product %}

{% unless grid_item_width_class %}
  {% assign grid_item_width_class = 'col-sm-12' %}
{% endunless %}

{% assign on_sale = false %}
{% assign sale_text = 'products.product.sale' | t %}
{% if product.compare_at_price > product.price %}
  {% assign on_sale = true %}
{% endif %}

{% assign sold_out = true %}
{% assign sold_out_text = 'products.product.sold_out' | t %}
{% if product.available %}
  {% assign sold_out = false %}
{% endif %}

<div class="{{grid_item_width_class}} product{% if on_sale %} on-sale{% endif %}" data-liid="{{ line_item.id }}" data-cartproductid="{{ product.id }}">
  <div class="row">
    <div class="xcol-xs-6 xcol-sm-2 line-item-thumb">
      <div class="line-item-cell-wrap">
        <a href="{{ product.url }}" class="product-link block">
          <span class="product-image">
            <span class="bg-image-centered" style="background-image: url({{ line_item | img_url: 'grande' }})"></span>
            {% comment %}<!-- span class="quick-view"></span -->{% endcomment %}
          </span>
        </a>
      </div>
    </div>
    <div class="xcol-xs-6 xcol-sm-5 line-item-title text-upper">
      <div class="line-item-cell-wrap">
        <a href="{{ product.url }}">{{ product.title }}</a>
        <span class="block color-light fs12 pt5">
          {% if line_item.variant.option1 != blank and line_item.variant.option1 != 'Default Title' %}{{ line_item.variant.option1 }}{% assign option1_displayed = true %}{% endif %}
          {% if line_item.variant.option2 != blank and line_item.variant.option2 != 'Default Title' %}{% if option1_displayed == true %} / {% endif %}{{ line_item.variant.option2 }}{% endif %}
        </span>
      </div>
    </div>
    <div class="xcol-xs-6 xcol-sm-1 line-item-product-price fs18">
      <div class="line-item-cell-wrap">
        {{ line_item.price | money }}
      </div>
    </div>
    <div class="xcol-xs-6 xcol-sm-1 line-item-qty">
      <div class="line-item-cell-wrap">
        <span class="cart-line-item-qty block">
          <input type="text" class="numerify" name="updates[]" id="updates_{{ line_item.id }}" value="{{ line_item.quantity }}" autocomplete="off" size="4" value="1" max="20" />
        </span>
      </div>
    </div>
    <div class="xcol-xs-6 xcol-sm-2 line-item-price fs18">
      <div class="line-item-cell-wrap">
        {{ line_item.line_price | money }}
      </div>
    </div>
    <div class="xcol-xs-6 xcol-sm-1 line-item-remove text-right">
      <div class="line-item-cell-wrap">
        <a href="/cart/change?line={{ forloop.index }}&amp;quantity=0" class="remove cross thick" title="Remove"><span class="remove-label">Remove</span></a>
      </div>
    </div>
  </div><!-- .row -->
</div><!-- .product -->
